//! A simple, almost pure-rust, cross-platform `WireGuard` implementation.
//! Designed to function similarly to boringtun, this crate has modules for cross-platform device drivers, the Noise_IKpsk2 handshake, and cryptography constructs required for the above.

#![warn(clippy::pedantic)]
#![warn(clippy::nursery)]
#![deny(missing_docs)]

// This is an annoyance
#![allow(clippy::must_use_candidate)]

pub mod drivers;
pub mod qcrypto;
pub mod noise;

pub use cidr;